<template>
    <div class="preview-field-wrapper">
        <div class="actions">
            <a href="#" @click.prevent="editItemByIndex(index)">Edit</a>
            <a href="#" @click.prevent="removeItemByIndex(index)">Remove</a>
        </div>
        <slot></slot>
    </div>
</template>

<script>
    import {mapActions} from 'vuex'

    export default {
        props: ['index'],
        methods: {
            ...mapActions(['editItem', 'removeItem']),
            editItemByIndex(index) {
                this.editItem(index);
            },
            removeItemByIndex(index) {
                this.removeItem(index)
            }
        },
    }
</script>

<style>
    .preview-field-wrapper {
        padding: 5px;
        position: relative;
    }

    .preview-field-wrapper:hover .actions {
        opacity: 1;
    }

    .preview-field-wrapper .actions {
        position: absolute;
        background: #cdcdcd;
        top: 0;
        right: 0;
        opacity: 0;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        -ms-transition: all 0.3s ease;
        -o-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

    .preview-field-wrapper .actions a {
        padding-left: 10px;
    }

</style>
